# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name: python-qt5
Summary: Set of Python bindings for Trolltech's Qt application framework
Version: 5.5.1
Release: %mkrel 1
Group: Development/KDE and Qt
URL: http://www.riverbankcomputing.co.uk/software/pyqt/intro
Source0: http://download.sourceforge.net/pyqt/PyQt-gpl-%{version}.tar.xz
License: GPLv2+
BuildRequires: pkgconfig(Qt5Bluetooth)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Designer)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Multimedia)
BuildRequires: pkgconfig(Qt5MultimediaWidgets)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5OpenGL)
BuildRequires: pkgconfig(Qt5Positioning)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5SerialPort)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5WebKit)
BuildRequires: pkgconfig(Qt5WebKitWidgets)
BuildRequires: pkgconfig(Qt5WebSockets)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5XmlPatterns)
BuildRequires: pkgconfig(Qt5X11Extras)
BuildRequires: pkgconfig(Qt5QuickWidgets)
BuildRequires: pkgconfig(Qt5Sensors)
BuildRequires: pkgconfig(dbus-python)
BuildRequires: python-sip >= 4.16.6
BuildRequires: sed
BuildRequires: python-devel
Provides: PyQt5 = %version-%release
Requires: %{name}-core = %{version}
Requires: %{name}-dbus = %{version}
Requires: %{name}-bluetooth = %{version}
Requires: %{name}-designer = %{version}
Requires: %{name}-gui = %{version}
Requires: %{name}-multimedia = %{version}
Requires: %{name}-multimediawidgets = %{version}
Requires: %{name}-network = %{version}
Requires: %{name}-opengl = %{version}
Requires: %{name}-positioning = %{version}
Requires: %{name}-printsupport = %{version}
Requires: %{name}-qml = %{version}
Requires: %{name}-quick = %{version}
Requires: %{name}-serialport = %{version}
Requires: %{name}-sql = %{version}
Requires: %{name}-svg = %{version}
Requires: %{name}-test = %{version}
Requires: %{name}-webkit = %{version}
Requires: %{name}-webkitwidgets = %{version}
Requires: %{name}-websockets = %{version}
Requires: %{name}-widgets = %{version}
Requires: %{name}-xml = %{version}
Requires: %{name}-xmlpatterns = %{version}
Requires: %{name}-x11extras = %{version}
Requires: %{name}-quickwidgets = %{version}
Requires: %{name}-sensors = %{version}

%description
PyQt is a set of Python bindings for Trolltech's Qt application framework

%files

#------------------------------------------------------------

%package core
Summary: PyQt 5 core
Group: Development/KDE and Qt
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description core
PyQt 5 core

%files core
%dir %py_platsitedir/PyQt5
%py_platsitedir/PyQt5/uic
%py_platsitedir/PyQt5/__init__.py*
%py_puresitedir/dbus/*
%py_platsitedir/PyQt5/Qt.so
%py_platsitedir/PyQt5/QtCore.so
#%py_platsitedir/PyQt5/QtWebChannel.so
%_datadir/sip/PyQt5/Qt
%_datadir/sip/PyQt5/QtCore
%_qt5_prefix/qsci/api/python/PyQt5.api
#%_datadir/sip/PyQt5/QtWebChannel/QtWebChannelmod.sip
#%_datadir/sip/PyQt5/QtWebChannel/qwebchannel.sip
#%_datadir/sip/PyQt5/QtWebChannel/qwebchannelabstracttransport.sip
%{_datadir}/sip/PyQt5/_QOpenGLFunctions_2_1/_QOpenGLFunctions_2_1mod.sip
%{_datadir}/sip/PyQt5/_QOpenGLFunctions_2_1/qopenglfunctions_2_1.sip
%{_datadir}/sip/PyQt5/_QOpenGLFunctions_4_1_Core/_QOpenGLFunctions_4_1_Coremod.sip
%{_datadir}/sip/PyQt5/_QOpenGLFunctions_4_1_Core/qopenglfunctions_4_1_core.sip

#------------------------------------------------------------

%package dbus
Summary: PyQt 5 dbus
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description dbus
PyQt 5 dbus

%files dbus
%py_platsitedir/PyQt5/QtDBus.so
%_datadir/sip/PyQt5/QtDBus

#------------------------------------------------------------

%package bluetooth
Summary: PyQt 5 bluetooth
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description bluetooth
PyQt 5 bluetooth

%files bluetooth
%py_platsitedir/PyQt5/QtBluetooth.so
%_datadir/sip/PyQt5/QtBluetooth

#------------------------------------------------------------

%package gui
Summary: PyQt 5 gui
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description gui
PyQt 5 gui

%files gui
%py_platsitedir/PyQt5/QtGui.so
%py_platsitedir/PyQt5/_QOpenGLFunctions_2_0.so
%_datadir/sip/PyQt5/QtGui
%_datadir/sip/PyQt5/_QOpenGLFunctions_2_0

#------------------------------------------------------------

%package network
Summary: PyQt 5 network
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description network
PyQt 5 network

%files network
%py_platsitedir/PyQt5/QtNetwork.so
%_datadir/sip/PyQt5/QtNetwork

#------------------------------------------------------------

%package help
Summary: PyQt 5 help
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description help
PyQt 5 help

%files help
%py_platsitedir/PyQt5/QtHelp.so
%_datadir/sip/PyQt5/QtHelp

#------------------------------------------------------------

%package opengl
Summary: PyQt 5 opengl
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description opengl
PyQt 5 opengl

%files opengl
%py_platsitedir/PyQt5/QtOpenGL.so
%{py_platsitedir}/PyQt5/_QOpenGLFunctions_2_1.so
%{py_platsitedir}/PyQt5/_QOpenGLFunctions_4_1_Core.so
%_datadir/sip/PyQt5/QtOpenGL

#------------------------------------------------------------

%package positioning
Summary: PyQt 5 positioning
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description positioning
PyQt 5 positioning

%files positioning
%py_platsitedir/PyQt5/QtPositioning.so
%_datadir/sip/PyQt5/QtPositioning

#------------------------------------------------------------

%package printsupport
Summary: PyQt 5 printsupport
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description printsupport
PyQt 5 printsupport

%files printsupport
%py_platsitedir/PyQt5/QtPrintSupport.so
%_datadir/sip/PyQt5/QtPrintSupport

#------------------------------------------------------------

%package qml
Summary: PyQt 5 qml
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description qml
PyQt 5 qml

%files qml
%py_platsitedir/PyQt5/QtQml.so
%{_qt5_plugindir}/PyQt5/libpyqt5qmlplugin.so
%_datadir/sip/PyQt5/QtQml

#------------------------------------------------------------

%package quick
Summary: PyQt 5 quick
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description quick
PyQt 5 quick

%files quick
%py_platsitedir/PyQt5/QtQuick.so
%_datadir/sip/PyQt5/QtQuick

#------------------------------------------------------------

%package multimedia
Summary: PyQt 5 multimedia
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description multimedia
PyQt 5 multimedia

%files multimedia
%py_platsitedir/PyQt5/QtMultimedia.so
%_datadir/sip/PyQt5/QtMultimedia

#------------------------------------------------------------

%package multimediawidgets
Summary: PyQt 5 multimediawidgets
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description multimediawidgets
PyQt 5 multimediawidgets

%files multimediawidgets
%py_platsitedir/PyQt5/QtMultimediaWidgets.so
%_datadir/sip/PyQt5/QtMultimediaWidgets

#------------------------------------------------------------

%package serialport
Summary: PyQt 5 serialport
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description serialport
PyQt 5 serialport

%files serialport
%py_platsitedir/PyQt5/QtSerialPort.so
%_datadir/sip/PyQt5/QtSerialPort

#------------------------------------------------------------

%package sql
Summary: PyQt 5 sql
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description sql
PyQt 5 sql

%files sql
%py_platsitedir/PyQt5/QtSql.so
%_datadir/sip/PyQt5/QtSql

#------------------------------------------------------------

%package svg
Summary: PyQt 5 svg
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description svg
PyQt 5 svg

%files svg
%py_platsitedir/PyQt5/QtSvg.so
%_datadir/sip/PyQt5/QtSvg

#------------------------------------------------------------

%package test
Summary: PyQt 5 test
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description test
PyQt 5 test

%files test
%py_platsitedir/PyQt5/QtTest.so
%_datadir/sip/PyQt5/QtTest

#------------------------------------------------------------

%package webkit
Summary: PyQt 5 Webkit
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description webkit
PyQt 5 webkit

%files webkit
%py_platsitedir/PyQt5/QtWebKit.so
%_datadir/sip/PyQt5/QtWebKit

#------------------------------------------------------------

%package webkitwidgets
Summary: PyQt 5 webkitwidgets
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description webkitwidgets
PyQt 5 webkitwidgets

%files webkitwidgets
%py_platsitedir/PyQt5/QtWebKitWidgets.so
%_datadir/sip/PyQt5/QtWebKitWidgets

#------------------------------------------------------------

%package websockets
Summary: PyQt 5 websockets
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description websockets
PyQt 5 websockets

%files websockets
%py_platsitedir/PyQt5/QtWebSockets.so
%_datadir/sip/PyQt5/QtWebSockets

#------------------------------------------------------------

%package widgets
Summary: PyQt 5 widgets
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description widgets
PyQt 5 widgets

%files widgets
%py_platsitedir/PyQt5/QtWidgets.so
%_datadir/sip/PyQt5/QtWidgets

#------------------------------------------------------------

%package xml
Summary: PyQt 5 xml
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description xml
PyQt 5 xml

%files xml
%py_platsitedir/PyQt5/QtXml.so
%_datadir/sip/PyQt5/QtXml

#------------------------------------------------------------

%package xmlpatterns
Summary: PyQt 5 xmlpatterns
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description xmlpatterns
PyQt 5 xmlpatterns

%files xmlpatterns
%py_platsitedir/PyQt5/QtXmlPatterns.so
%_datadir/sip/PyQt5/QtXmlPatterns

#------------------------------------------------------------

%package x11extras
Summary: PyQt 5 x11extras
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description x11extras
PyQt 5 x11extras

%files x11extras
%py_platsitedir/PyQt5/QtX11Extras.so
%_datadir/sip/PyQt5/QtX11Extras

#------------------------------------------------------------

%package designer
Summary: PyQt 5 designer
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description designer
PyQt 5 designer

%files designer
%py_platsitedir/PyQt5/QtDesigner.so
%_datadir/sip/PyQt5/QtDesigner


%package quickwidgets
Summary: PyQt 5 designer
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description quickwidgets
PyQt 5 quickwidgets

%files quickwidgets
%py_platsitedir/PyQt5/QtQuickWidgets.so
%_datadir/sip/PyQt5/QtQuickWidgets


%package sensors
Summary: PyQt 5 designer
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description sensors
PyQt 5 sensors

%files sensors
%py_platsitedir/PyQt5/QtSensors.so
%_datadir/sip/PyQt5/QtSensors


#------------------------------------------------------------

%package devel
Summary: PyQt 5 devel
Group: Development/KDE and Qt
Requires: %{name} = %{version}
Requires: qttools5-designer

%description devel
PyQt 5 devel utilities

%files devel
%_bindir/pyuic5
%_bindir/pyrcc5
%_bindir/pylupdate5
%_qt5_plugindir/designer/*

#------------------------------------------------------------

%package doc
Summary: PyQt 5 documentation
Group: Development/KDE and Qt
BuildArch: noarch

%description doc
PyQt 5 documentation

%files doc
%doc %_docdir/%name
%exclude %_docdir/%name/examples
#------------------------------------------------------------

%package examples
Summary: PyQt 5 examples
Group: Development/KDE and Qt
BuildArch: noarch

%description examples
PyQt 5 examples.

%files examples
%doc %_docdir/%name/examples

#------------------------------------------------------------

%package -n python3-qt5
Summary: Python 3 bindings for Qt5
Group: Development/KDE and Qt

BuildRequires: python3-devel
BuildRequires: python3-sip-devel >= 4.16.6
BuildRequires: python3-dbus
Provides: python3-PyQt5 = %{version}-%{release}
Requires: python3-dbus
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n python3-qt5
Python 3 bindings for Qt5.

%files -n python3-qt5
%doc NEWS README
%doc LICENSE
%{python3_sitelib}/dbus/mainloop/pyqt5.so
%dir %{python3_sitearch}/PyQt5/
#%%{python3_sitearch}/PyQt5/__pycache__/
%{python3_sitearch}/PyQt5/__init__.py*
%{python3_sitearch}/PyQt5/Qt.so
%{python3_sitearch}/PyQt5/QtBluetooth.so
%{python3_sitearch}/PyQt5/QtCore.so
%{python3_sitearch}/PyQt5/QtDBus.so
%{python3_sitearch}/PyQt5/QtDesigner.so
%{python3_sitearch}/PyQt5/QtGui.so
%{python3_sitearch}/PyQt5/QtHelp.so
%{python3_sitearch}/PyQt5/QtMultimedia.so
%{python3_sitearch}/PyQt5/QtMultimediaWidgets.so
%{python3_sitearch}/PyQt5/QtNetwork.so
%{python3_sitearch}/PyQt5/QtOpenGL.so
%{python3_sitearch}/PyQt5/QtPositioning.so
%{python3_sitearch}/PyQt5/QtPrintSupport.so
%{python3_sitearch}/PyQt5/QtQml.so
%{python3_sitearch}/PyQt5/QtQuick.so
%{python3_sitearch}/PyQt5/QtSerialPort.so
%{python3_sitearch}/PyQt5/QtSql.so
%{python3_sitearch}/PyQt5/QtSvg.so
%{python3_sitearch}/PyQt5/QtTest.so
#%{python3_sitearch}/PyQt5/QtWebChannel.so
%{python3_sitearch}/PyQt5/QtWebKit.so
%{python3_sitearch}/PyQt5/QtWebKitWidgets.so
%{python3_sitearch}/PyQt5/QtWebSockets.so
%{python3_sitearch}/PyQt5/QtWidgets.so
%{python3_sitearch}/PyQt5/QtX11Extras.so
%{python3_sitearch}/PyQt5/QtXml.so
%{python3_sitearch}/PyQt5/QtXmlPatterns.so
%{python3_sitearch}/PyQt5/_QOpenGLFunctions_2_0.so
%{python3_sitearch}/PyQt5/uic/
%{python3_sitearch}/PyQt5/_QOpenGLFunctions_2_1.so
%{python3_sitearch}/PyQt5/_QOpenGLFunctions_4_1_Core.so
%{python3_sitearch}/PyQt5/QtQuickWidgets.so
%{python3_sitearch}/PyQt5/QtSensors.so
#------------------------------------------------------------

%package -n python3-qt5-devel
Summary: Python 3 bindings for Qt5
Group: Development/KDE and Qt
Requires: python3-qt5%{?_isa} = %{version}-%{release}
Requires: python3-sip-devel >= 4.16.6
# same files for Python2 and Python3 so we do an empty package
Requires: python-qt5-devel
Provides: python3-PyQt5-devel = %{version}-%{release}

%description -n python3-qt5-devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt5 classes (e.g. KDE or your own).

#------------------------------------------------------------

%prep
%setup -q -n PyQt-gpl-%{version}
cp -a . %{py3dir}

%build
export PATH=%{_qt5_bindir}:$PATH

%{__python} ./configure.py \
	--qsci-api \
	--confirm-license

sed -i -e "s,-fstack-protector,-fno-stack-protector,g" _Q*/Makefile
sed -i -e "s,^LIBS .*= ,LIBS = $(python-config --libs) ,g" Qt*/Makefile _Q*/Makefile dbus/Makefile
sed -i -e "s#^LFLAGS .*= #LFLAGS = %ldflags #g" Qt*/Makefile _Q*/Makefile pyrcc/Makefile designer/Makefile dbus/Makefile qmlscene/Makefile

%make

pushd %{py3dir}
%{__python3} configure.py \
  --assume-shared \
  --confirm-license \
  --no-timestamp \
  --verbose

sed -i -e "s,-fstack-protector,-fno-stack-protector,g" _Q*/Makefile
sed -i -e "s,^LIBS .*= ,LIBS = $(python3-config --libs) ,g" Qt*/Makefile _Q*/Makefile dbus/Makefile
sed -i -e "s#^LFLAGS .*= #LFLAGS = %ldflags #g" Qt*/Makefile _Q*/Makefile pyrcc/Makefile designer/Makefile dbus/Makefile qmlscene/Makefile

%make
popd

%install
pushd %{py3dir}
%makeinstall_std INSTALL_ROOT=%{buildroot} -C %{py3dir}
rm -fr %{buildroot}%{python3_sitearch}/PyQt5/uic/port_v2
popd

%makeinstall_std INSTALL_ROOT=%{buildroot}
rm -fr %{buildroot}%py_platsitedir/PyQt5/uic/port_v3

mkdir -p %buildroot%_docdir/%name
    cp -fr doc/html/* %buildroot%_docdir/%name/

mkdir %buildroot%_docdir/%name/examples
    cp -fr examples/* %buildroot%_docdir/%name/examples/




%changelog
* Tue Jan 31 2017 adrianomorselli <adrianomorselli> 5.5.1-1uplos2047
- rebuild and removed old history
